## r-cran-stabledist 0.6

=== DESCRIPTION ===
Package: stabledist
Version: 0.6-6
Date: 2013-06-12
Title: Stable Distribution Functions
Author: Diethelm Wuertz, Martin Maechler and Rmetrics core team
        members.
Maintainer: Martin Maechler <maechler@stat.math.ethz.ch>
Depends: R (>= 2.12.0), stats, utils
Suggests: Matrix, fBasics, FMStable, RUnit, Rmpfr, sfsmisc
Description: Density, Probability and Quantile functions, and random
        number generation for (skew) stable distributions, using the
        parametrizations of Nolan.
LazyData: yes
License: GPL (>= 2)
URL: http://www.rmetrics.org
Packaged: 2013-06-12 10:27:09 UTC; maechler
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2013-06-12 12:51:11

## r-cran-stabledist 0.7

=== DESCRIPTION ===
Package: stabledist
Version: 0.7-2
Date: 2024-08-14
Title: Stable Distribution Functions
Authors@R: c(
  person("Diethelm", "Wuertz", role="aut", comment = "original code"),
  person("Martin","Maechler", role=c("aut","cre"), email="maechler@stat.math.ethz.ch",
         comment = c("checks/tests; fixes, ..", ORCID = "0000-0002-8685-9910")),
  person("Yohan", "Chalabi", role="ctb", comment= "namespace; admin"))
Maintainer: Martin Maechler <maechler@stat.math.ethz.ch>
Depends: R (>= 3.1.0)
Imports: stats
Suggests: Matrix, fBasics, FMStable, RUnit, Rmpfr, sfsmisc ,
        libstable4u
SuggestsNote: 'libstable4u', based on 'libstableR', is said to be
        uniformly better both accuracy and speed wise, at least in
        parts.
Description: Density, Probability and Quantile functions, and random number
  generation for (skew) stable distributions, using the parametrizations of
  Nolan.
License: GPL (>= 2)
URL:
        https://r-forge.r-project.org/scm/viewvc.php/pkg/stabledist/?root=rmetrics
NeedsCompilation: no
Packaged: 2024-08-14 08:50:37 UTC; maechler
Author: Diethelm Wuertz [aut] (original code),
  Martin Maechler [aut, cre] (checks/tests; fixes, ..,
    <https://orcid.org/0000-0002-8685-9910>),
  Yohan Chalabi [ctb] (namespace; admin)
Repository: CRAN
Date/Publication: 2024-08-17 04:50:02 UTC

=== inst/unitTests/Makefile ===
PKG=stabledist
TOP=../..
SUITE=doRUnit.R
R=R

all: inst test

inst: # Install package -- but where ?? -- will that be in R_LIBS ?
	cd ${TOP}/..;\
	${R} CMD INSTALL ${PKG}

test: # Run unit tests
	export RCMDCHECK=FALSE;\
	cd ${TOP}/tests;\
	${R} --vanilla --slave < ${SUITE}

## r-cran-stabledist 0.7-1

=== debian/changelog ===
r-cran-stabledist (0.7-1-2) unstable; urgency=medium

  * Rebuilding for R 3.5.0 transition
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Build-Depends: to 'debhelper (>= 10)'
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Depends: on ${misc:Depends}
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/compat: Increase level to 9
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 02 Jun 2018 14:33:21 -0500

r-cran-stabledist (0.7-1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild for r-api-3.4 transition

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 29 Sep 2017 18:52:23 +0200

r-cran-stabledist (0.7-1-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 04 Oct 2016 19:08:09 -0500

r-cran-stabledist (0.7-0-2) unstable; urgency=medium

  * debian/compat: Created 			(Closes: #828118)
 
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 25 Jun 2016 07:17:08 -0500

r-cran-stabledist (0.7-0-1) unstable; urgency=low

  * New upstream release
 
  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 04 May 2015 15:58:33 -0500

r-cran-stabledist (0.6-6-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 13 Jun 2013 06:20:47 -0500

r-cran-stabledist (0.6-5-2) unstable; urgency=low

  * debian/control: Set Build-Depends: to current R version 
  
  * (Re-)building with R 3.0.0 (beta)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 30 Mar 2013 18:21:23 -0500

r-cran-stabledist (0.6-5-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 02 Oct 2012 12:26:07 -0500

r-cran-stabledist (0.6-4-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
 
 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 29 May 2012 13:27:39 -0500

r-cran-stabledist (0.6-3-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Change Depends to ${R:Depends}
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 20 Mar 2012 11:09:21 -0500

r-cran-stabledist (0.6-2.1-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 04 Apr 2011 07:21:25 -0500

r-cran-stabledist (0.6-0-2) unstable; urgency=low

  * debian/control: Correct to 'Architecture: all'

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 18 Mar 2011 11:47:48 -0500

r-cran-stabledist (0.6-0-1) unstable; urgency=low

  * Initial Debian release of new CRAN package stabledist factored out of
    existing package fBasics 				(Closes: #618789)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 18 Mar 2011 08:33:40 -0500

=== debian/control ===
Source: r-cran-stabledist
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 10), r-base-dev (>= 3.5.0), dh-r
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/edd/r-cran-stabledist
Vcs-Git: https://salsa.debian.org/edd/r-cran-stabledist.git
Homepage: https://cran.r-project.org/package=stabledist
 
Package: r-cran-stabledist
Architecture: all
Depends: ${misc:Depends}, ${R:Depends}
Suggests: r-cran-runit, r-cran-fbasics
Description: GNU R package for stable distribution functions
 This package provides density, probability and quantile functions,
 and random number generation for (skew) stable distributions, using
 the parametrizations of Nolan.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-stabledist package
# Copyright 2003 - 2018 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/stabledist_([-\d\.]*)\.tar.gz

## r-cran-stabledist 0.7-2

=== debian/changelog ===
r-cran-stabledist (0.7-2-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 20 Aug 2024 13:18:29 -0500

r-cran-stabledist (0.7-1-3) unstable; urgency=medium

  * Rebuilt for r-4.0 transition

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 15 May 2020 21:59:47 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 3.5.0), dh-r
-Standards-Version: 4.1.4
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.1), dh-r
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-stabledist
 Vcs-Git: https://salsa.debian.org/edd/r-cran-stabledist.git
 Homepage: https://cran.r-project.org/package=stabledist
